<mat-card class="page-title-bar">
    <mat-card-header>
        <mat-card-title>
            <div class="card-title">
                <mat-icon class="mat-card-title-icon">widgets</mat-icon>{{title}}
            </div>
            <mat-button-toggle-group *ngIf="title ==='Users'" name="fontStyle" aria-label="Font Style">
                <mat-button-toggle [ngClass]="selectedView === 'list' ? 'active' : ''" value="bold"
                    (click)="changeView('list')">
                    <mat-icon>view_list</mat-icon>
                </mat-button-toggle>
                <mat-button-toggle value="italic" [ngClass]="selectedView === 'module' ? 'active' : ''"
                    (click)="changeView('module')">
                    <mat-icon>view_module</mat-icon>
                </mat-button-toggle>
            </mat-button-toggle-group>
        </mat-card-title>
        <mat-card-subtitle *ngIf="description?.length">{{description}}</mat-card-subtitle>
    </mat-card-header>
</mat-card>